---
name: lint

on:
  push:
  pull_request:

jobs:
  build:

    runs-on: ubuntu-latest
    strategy:
      fail-fast: false
      max-parallel: 4
    env:
      ANSIBLE_CALLBACKS_ENABLED: profile_tasks
      ANSIBLE_EXTRA_VARS: ""

    steps:
      - uses: actions/checkout@v2
        with:
          path: juju4.dnscryptproxy
      - name: Set up Python
        uses: actions/setup-python@v2
        with:
          python-version: '3.x'
      - name: Install dependencies
        run: |
          python3 -m pip install --upgrade pip
          pip3 install ansible-lint flake8 yamllint
          which ansible
          pip3 install ansible
          pip3 show ansible
          ls -l $HOME/.local/bin || true
          ls -l /opt/hostedtoolcache/Python/3.9.1/x64/bin || true
          echo "/opt/hostedtoolcache/Python/3.9.1/x64/bin" >> $GITHUB_PATH
          ansible --version
          cd $GITHUB_WORKSPACE/juju4.dnscryptproxy
          [ -f get-dependencies.sh ] && sh -x get-dependencies.sh
          [ -f molecule/default/requirements.yml ] && ansible-galaxy install -r molecule/default/requirements.yml
          { echo '[defaults]'; echo 'callbacks_enabled = profile_tasks, timer'; echo 'roles_path = ../:/home/runner/.ansible/roles'; echo 'ansible_python_interpreter: /usr/bin/python3'; } >> ansible.cfg
      - name: Environment
        run: |
          pwd
          env
          find -ls
      - name: yamllint
        run: |
          cd $GITHUB_WORKSPACE/juju4.dnscryptproxy && yamllint .
      - name: ansible-lint
        run: |
          cd $GITHUB_WORKSPACE/juju4.dnscryptproxy && ansible-lint
